import { createTheme, ThemeProvider } from '@mui/material/styles';
import React from 'react';
import { YELLOW } from '../../global/colors';
import Pagination from '@mui/material/Pagination';
const theme = createTheme({
    palette: {
        primary: { main: YELLOW, light: YELLOW, dark: YELLOW },
    },
    shape: {
        borderRadius: 0,
    },
});
/**
 * Wrapper for Mui Pagination component. Documentation:
 * https://mui.com/material-ui/react-pagination/
 *
 * API for the Pagination component:
 * https://mui.com/material-ui/api/pagination/
 *
 * - param `muiPaginationProps` - props for Mui Picker, see API for avilible props
 */
export const MuiPagination = ({ muiPaginationProps }) => {
    return (React.createElement(ThemeProvider, { theme: theme },
        React.createElement(Pagination, Object.assign({}, Object.assign(Object.assign({}, muiPaginationProps), { color: 'primary' })))));
};
export default MuiPagination;
