export declare const dateFns: {
    add(date: number | Date, duration: Duration): Date;
    addBusinessDays(date: number | Date, amount: number): Date;
    addDays(date: number | Date, amount: number): Date;
    addHours(date: number | Date, amount: number): Date;
    addISOWeekYears(date: number | Date, amount: number): Date;
    addMilliseconds(date: number | Date, amount: number): Date;
    addMinutes(date: number | Date, amount: number): Date;
    addMonths(date: number | Date, amount: number): Date;
    addQuarters(date: number | Date, amount: number): Date;
    addSeconds(date: number | Date, amount: number): Date;
    addWeeks(date: number | Date, amount: number): Date;
    addYears(date: number | Date, amount: number): Date;
    areIntervalsOverlapping(intervalLeft: Interval, intervalRight: Interval, options?: {
        inclusive?: boolean | undefined;
    } | undefined): boolean;
    clamp(date: number | Date, interval: Interval): Date;
    closestIndexTo(dateToCompare: number | Date, datesArray: (number | Date)[]): number | undefined;
    closestTo(dateToCompare: number | Date, datesArray: (number | Date)[]): Date | undefined;
    compareAsc(dateLeft: number | Date, dateRight: number | Date): number;
    compareDesc(dateLeft: number | Date, dateRight: number | Date): number;
    daysToWeeks(days: number): number;
    differenceInBusinessDays(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInCalendarDays(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInCalendarISOWeeks(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInCalendarISOWeekYears(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInCalendarMonths(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInCalendarQuarters(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInCalendarWeeks(dateLeft: number | Date, dateRight: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): number;
    differenceInCalendarYears(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInDays(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInHours(dateLeft: number | Date, dateRight: number | Date, options?: {
        roundingMethod?: string | undefined;
    } | undefined): number;
    differenceInISOWeekYears(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInMilliseconds(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInMinutes(dateLeft: number | Date, dateRight: number | Date, options?: {
        roundingMethod?: string | undefined;
    } | undefined): number;
    differenceInMonths(dateLeft: number | Date, dateRight: number | Date): number;
    differenceInQuarters(dateLeft: number | Date, dateRight: number | Date, options?: {
        roundingMethod?: string | undefined;
    } | undefined): number;
    differenceInSeconds(dateLeft: number | Date, dateRight: number | Date, options?: {
        roundingMethod?: string | undefined;
    } | undefined): number;
    differenceInWeeks(dateLeft: number | Date, dateRight: number | Date, options?: {
        roundingMethod?: string | undefined;
    } | undefined): number;
    differenceInYears(dateLeft: number | Date, dateRight: number | Date): number;
    eachDayOfInterval(interval: Interval, options?: {
        step?: number | undefined;
    } | undefined): Date[];
    eachHourOfInterval(interval: Interval, options?: {
        step?: number | undefined;
    } | undefined): Date[];
    eachMinuteOfInterval(interval: Interval, options?: {
        step?: number | undefined;
    } | undefined): Date[];
    eachMonthOfInterval(interval: Interval): Date[];
    eachQuarterOfInterval(interval: Interval): Date[];
    eachWeekendOfInterval(interval: Interval): Date[];
    eachWeekendOfMonth(date: number | Date): Date[];
    eachWeekendOfYear(date: number | Date): Date[];
    eachWeekOfInterval(interval: Interval, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): Date[];
    eachYearOfInterval(interval: Interval): Date[];
    endOfDay(date: number | Date): Date;
    endOfDecade(date: number | Date, options?: {
        additionalDigits?: 0 | 1 | 2 | undefined;
    } | undefined): Date;
    endOfHour(date: number | Date): Date;
    endOfISOWeek(date: number | Date): Date;
    endOfISOWeekYear(date: number | Date): Date;
    endOfMinute(date: number | Date): Date;
    endOfMonth(date: number | Date): Date;
    endOfQuarter(date: number | Date): Date;
    endOfSecond(date: number | Date): Date;
    endOfToday(): Date;
    endOfTomorrow(): Date;
    endOfWeek(date: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): Date;
    endOfYear(date: number | Date): Date;
    endOfYesterday(): Date;
    format(date: number | Date, format: string, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
        firstWeekContainsDate?: number | undefined;
        useAdditionalWeekYearTokens?: boolean | undefined;
        useAdditionalDayOfYearTokens?: boolean | undefined;
    } | undefined): string;
    formatDistance(date: number | Date, baseDate: number | Date, options?: {
        includeSeconds?: boolean | undefined;
        addSuffix?: boolean | undefined;
        locale?: Locale | undefined;
    } | undefined): string;
    formatDistanceStrict(date: number | Date, baseDate: number | Date, options?: {
        addSuffix?: boolean | undefined;
        unit?: "month" | "day" | "year" | "second" | "minute" | "hour" | undefined;
        roundingMethod?: "round" | "floor" | "ceil" | undefined;
        locale?: Locale | undefined;
    } | undefined): string;
    formatDistanceToNow(date: number | Date, options?: {
        includeSeconds?: boolean | undefined;
        addSuffix?: boolean | undefined;
        locale?: Locale | undefined;
    } | undefined): string;
    formatDistanceToNowStrict(date: number | Date, options?: {
        addSuffix?: boolean | undefined;
        unit?: "month" | "day" | "year" | "second" | "minute" | "hour" | undefined;
        roundingMethod?: "round" | "floor" | "ceil" | undefined;
        locale?: Locale | undefined;
    } | undefined): string;
    formatDuration(duration: Duration, options?: {
        format?: string[] | undefined;
        zero?: boolean | undefined;
        delimiter?: string | undefined;
        locale?: Locale | undefined;
    } | undefined): string;
    formatISO(date: number | Date, options?: {
        format?: "extended" | "basic" | undefined;
        representation?: "time" | "date" | "complete" | undefined;
    } | undefined): string;
    formatISO9075(date: number | Date, options?: {
        format?: "extended" | "basic" | undefined;
        representation?: "time" | "date" | "complete" | undefined;
    } | undefined): string;
    formatISODuration(duration: Duration): string;
    formatRelative(date: number | Date, baseDate: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): string;
    formatRFC3339(date: number | Date, options?: {
        fractionDigits?: 0 | 3 | 1 | 2 | undefined;
    } | undefined): string;
    formatRFC7231(date: number | Date): string;
    fromUnixTime(unixTime: number): Date;
    getDate(date: number | Date): number;
    getDay(date: number | Date): 0 | 3 | 5 | 1 | 2 | 4 | 6;
    getDayOfYear(date: number | Date): number;
    getDaysInMonth(date: number | Date): number;
    getDaysInYear(date: number | Date): number;
    getDecade(date: number | Date): number;
    getDefaultOptions(): Object;
    getHours(date: number | Date): number;
    getISODay(date: number | Date): number;
    getISOWeek(date: number | Date): number;
    getISOWeeksInYear(date: number | Date): number;
    getISOWeekYear(date: number | Date): number;
    getMilliseconds(date: number | Date): number;
    getMinutes(date: number | Date): number;
    getMonth(date: number | Date): number;
    getOverlappingDaysInIntervals(intervalLeft: Interval, intervalRight: Interval): number;
    getQuarter(date: number | Date): number;
    getSeconds(date: number | Date): number;
    getTime(date: number | Date): number;
    getUnixTime(date: number | Date): number;
    getWeek(date: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
        firstWeekContainsDate?: 3 | 5 | 1 | 2 | 4 | 6 | 7 | undefined;
    } | undefined): number;
    getWeekOfMonth(date: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): number;
    getWeeksInMonth(date: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): number;
    getWeekYear(date: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
        firstWeekContainsDate?: 3 | 5 | 1 | 2 | 4 | 6 | 7 | undefined;
    } | undefined): number;
    getYear(date: number | Date): number;
    hoursToMilliseconds(hours: number): number;
    hoursToMinutes(hours: number): number;
    hoursToSeconds(hours: number): number;
    intervalToDuration(interval: Interval): Duration;
    intlFormat(argument: number | Date, formatOptions?: {
        localeMatcher?: "lookup" | "best fit" | undefined;
        weekday?: "narrow" | "short" | "long" | undefined;
        era?: "narrow" | "short" | "long" | undefined;
        year?: "numeric" | "2-digit" | undefined;
        month?: "numeric" | "narrow" | "short" | "long" | "2-digit" | undefined;
        day?: "numeric" | "2-digit" | undefined;
        hour?: "numeric" | "2-digit" | undefined;
        minute?: "numeric" | "2-digit" | undefined;
        second?: "numeric" | "2-digit" | undefined;
        timeZoneName?: "short" | "long" | undefined;
        formatMatcher?: "basic" | "best fit" | undefined;
        hour12?: boolean | undefined;
        timeZone?: string | undefined;
    } | undefined, localeOptions?: {
        locale?: string | string[] | undefined;
    } | undefined): string;
    intlFormatDistance(date: number | Date, baseDate: number | Date, options?: {
        unit?: string | undefined;
        locale?: string | string[] | undefined;
        localeMatcher?: string | undefined;
        numeric?: string | undefined;
        style?: string | undefined;
    } | undefined): string;
    isAfter(date: number | Date, dateToCompare: number | Date): boolean;
    isBefore(date: number | Date, dateToCompare: number | Date): boolean;
    isDate(value: any): boolean;
    isEqual(dateLeft: number | Date, dateRight: number | Date): boolean;
    isExists(year: number, month: number, day: number): boolean;
    isFirstDayOfMonth(date: number | Date): boolean;
    isFriday(date: number | Date): boolean;
    isFuture(date: number | Date): boolean;
    isLastDayOfMonth(date: number | Date): boolean;
    isLeapYear(date: number | Date): boolean;
    isMatch(dateString: string, formatString: string, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
        firstWeekContainsDate?: 3 | 5 | 1 | 2 | 4 | 6 | 7 | undefined;
        useAdditionalWeekYearTokens?: boolean | undefined;
        useAdditionalDayOfYearTokens?: boolean | undefined;
    } | undefined): boolean;
    isMonday(date: number | Date): boolean;
    isPast(date: number | Date): boolean;
    isSameDay(dateLeft: number | Date, dateRight: number | Date): boolean;
    isSameHour(dateLeft: number | Date, dateRight: number | Date): boolean;
    isSameISOWeek(dateLeft: number | Date, dateRight: number | Date): boolean;
    isSameISOWeekYear(dateLeft: number | Date, dateRight: number | Date): boolean;
    isSameMinute(dateLeft: number | Date, dateRight: number | Date): boolean;
    isSameMonth(dateLeft: number | Date, dateRight: number | Date): boolean;
    isSameQuarter(dateLeft: number | Date, dateRight: number | Date): boolean;
    isSameSecond(dateLeft: number | Date, dateRight: number | Date): boolean;
    isSameWeek(dateLeft: number | Date, dateRight: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): boolean;
    isSameYear(dateLeft: number | Date, dateRight: number | Date): boolean;
    isSaturday(date: number | Date): boolean;
    isSunday(date: number | Date): boolean;
    isThisHour(date: number | Date): boolean;
    isThisISOWeek(date: number | Date): boolean;
    isThisMinute(date: number | Date): boolean;
    isThisMonth(date: number | Date): boolean;
    isThisQuarter(date: number | Date): boolean;
    isThisSecond(date: number | Date): boolean;
    isThisWeek(date: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): boolean;
    isThisYear(date: number | Date): boolean;
    isThursday(date: number | Date): boolean;
    isToday(date: number | Date): boolean;
    isTomorrow(date: number | Date): boolean;
    isTuesday(date: number | Date): boolean;
    isValid(date: any): boolean;
    isWednesday(date: number | Date): boolean;
    isWeekend(date: number | Date): boolean;
    isWithinInterval(date: number | Date, interval: Interval): boolean;
    isYesterday(date: number | Date): boolean;
    lastDayOfDecade(date: number | Date): Date;
    lastDayOfISOWeek(date: number | Date): Date;
    lastDayOfISOWeekYear(date: number | Date): Date;
    lastDayOfMonth(date: number | Date): Date;
    lastDayOfQuarter(date: number | Date, options?: {
        additionalDigits?: 0 | 1 | 2 | undefined;
    } | undefined): Date;
    lastDayOfWeek(date: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): Date;
    lastDayOfYear(date: number | Date): Date;
    lightFormat(date: number | Date, format: string): string;
    max(datesArray: (number | Date)[]): Date;
    milliseconds(duration: Duration): number;
    millisecondsToHours(milliseconds: number): number;
    millisecondsToMinutes(milliseconds: number): number;
    millisecondsToSeconds(milliseconds: number): number;
    min(datesArray: (number | Date)[]): Date;
    minutesToHours(minutes: number): number;
    minutesToMilliseconds(minutes: number): number;
    minutesToSeconds(minutes: number): number;
    monthsToQuarters(months: number): number;
    monthsToYears(months: number): number;
    nextDay(date: number | Date, day: Day): Date;
    nextFriday(date: number | Date): Date;
    nextMonday(date: number | Date): Date;
    nextSaturday(date: number | Date): Date;
    nextSunday(date: number | Date): Date;
    nextThursday(date: number | Date): Date;
    nextTuesday(date: number | Date): Date;
    nextWednesday(date: number | Date): Date;
    parse(dateString: string, formatString: string, referenceDate: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
        firstWeekContainsDate?: 3 | 5 | 1 | 2 | 4 | 6 | 7 | undefined;
        useAdditionalWeekYearTokens?: boolean | undefined;
        useAdditionalDayOfYearTokens?: boolean | undefined;
    } | undefined): Date;
    parseISO(argument: string, options?: {
        additionalDigits?: 0 | 1 | 2 | undefined;
    } | undefined): Date;
    parseJSON(argument: string | number | Date): Date;
    previousDay(date: number | Date, day: number): Date;
    previousFriday(date: number | Date): Date;
    previousMonday(date: number | Date): Date;
    previousSaturday(date: number | Date): Date;
    previousSunday(date: number | Date): Date;
    previousThursday(date: number | Date): Date;
    previousTuesday(date: number | Date): Date;
    previousWednesday(date: number | Date): Date;
    quartersToMonths(quarters: number): number;
    quartersToYears(quarters: number): number;
    roundToNearestMinutes(date: number | Date, options?: {
        nearestTo?: number | undefined;
        roundingMethod?: string | undefined;
    } | undefined): Date;
    secondsToHours(seconds: number): number;
    secondsToMilliseconds(seconds: number): number;
    secondsToMinutes(seconds: number): number;
    set(date: number | Date, values: {
        year?: number | undefined;
        month?: number | undefined;
        date?: number | undefined;
        hours?: number | undefined;
        minutes?: number | undefined;
        seconds?: number | undefined;
        milliseconds?: number | undefined;
    }): Date;
    setDate(date: number | Date, dayOfMonth: number): Date;
    setDay(date: number | Date, day: number, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): Date;
    setDayOfYear(date: number | Date, dayOfYear: number): Date;
    setDefaultOptions(newOptions: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
        firstWeekContainsDate?: 3 | 5 | 1 | 2 | 4 | 6 | 7 | undefined;
    }): void;
    setHours(date: number | Date, hours: number): Date;
    setISODay(date: number | Date, day: number): Date;
    setISOWeek(date: number | Date, isoWeek: number): Date;
    setISOWeekYear(date: number | Date, isoWeekYear: number): Date;
    setMilliseconds(date: number | Date, milliseconds: number): Date;
    setMinutes(date: number | Date, minutes: number): Date;
    setMonth(date: number | Date, month: number): Date;
    setQuarter(date: number | Date, quarter: number): Date;
    setSeconds(date: number | Date, seconds: number): Date;
    setWeek(date: number | Date, week: number, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
        firstWeekContainsDate?: 3 | 5 | 1 | 2 | 4 | 6 | 7 | undefined;
    } | undefined): Date;
    setWeekYear(date: number | Date, weekYear: number, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
        firstWeekContainsDate?: 3 | 5 | 1 | 2 | 4 | 6 | 7 | undefined;
    } | undefined): Date;
    setYear(date: number | Date, year: number): Date;
    startOfDay(date: number | Date): Date;
    startOfDecade(date: number | Date): Date;
    startOfHour(date: number | Date): Date;
    startOfISOWeek(date: number | Date): Date;
    startOfISOWeekYear(date: number | Date): Date;
    startOfMinute(date: number | Date): Date;
    startOfMonth(date: number | Date): Date;
    startOfQuarter(date: number | Date): Date;
    startOfSecond(date: number | Date): Date;
    startOfToday(): Date;
    startOfTomorrow(): Date;
    startOfWeek(date: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
    } | undefined): Date;
    startOfWeekYear(date: number | Date, options?: {
        locale?: Locale | undefined;
        weekStartsOn?: 0 | 3 | 5 | 1 | 2 | 4 | 6 | undefined;
        firstWeekContainsDate?: 3 | 5 | 1 | 2 | 4 | 6 | 7 | undefined;
    } | undefined): Date;
    startOfYear(date: number | Date): Date;
    startOfYesterday(): Date;
    sub(date: number | Date, duration: Duration): Date;
    subBusinessDays(date: number | Date, amount: number): Date;
    subDays(date: number | Date, amount: number): Date;
    subHours(date: number | Date, amount: number): Date;
    subISOWeekYears(date: number | Date, amount: number): Date;
    subMilliseconds(date: number | Date, amount: number): Date;
    subMinutes(date: number | Date, amount: number): Date;
    subMonths(date: number | Date, amount: number): Date;
    subQuarters(date: number | Date, amount: number): Date;
    subSeconds(date: number | Date, amount: number): Date;
    subWeeks(date: number | Date, amount: number): Date;
    subYears(date: number | Date, amount: number): Date;
    toDate(argument: number | Date): Date;
    weeksToDays(weeks: number): number;
    yearsToMonths(years: number): number;
    yearsToQuarters(years: number): number;
    daysInWeek: number;
    daysInYear: number;
    maxTime: number;
    millisecondsInMinute: number;
    millisecondsInHour: number;
    millisecondsInSecond: number;
    minTime: number;
    minutesInHour: number;
    monthsInQuarter: number;
    monthsInYear: number;
    quartersInYear: number;
    secondsInHour: number;
    secondsInMinute: number;
    secondsInDay: number;
    secondsInWeek: number;
    secondsInYear: number;
    secondsInMonth: number;
    secondsInQuarter: number;
};
//# sourceMappingURL=dateFns.d.ts.map